Package org.springframework.transaction

# Class InvalidIsolationLevelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.transaction.TransactionException
org.springframework.transaction.TransactionUsageException
org.springframework.transaction.InvalidIsolationLevelException

All Implemented Interfaces:
  `Serializable`

public class InvalidIsolationLevelException extends TransactionUsageException
Exception that gets thrown when an invalid isolation level is specified, i.e. an isolation level that the transaction manager implementation doesn't support.

Since:
  12.05.2003
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidIsolationLevelException(String msg)`
Constructor for InvalidIsolationLevelException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidIsolationLevelException

public InvalidIsolationLevelException(String msg)
Constructor for InvalidIsolationLevelException.

Parameters:
  `msg` - the detail message